---
- name: Add or remove PowerShell scripts from registered PSRepositories
  community.windows.win_psscript:
    allow_prerelease: "{{ item['allow_prerelease'] | default(False) }}"
    maximum_version: "{{ item['maximum_version'] | default(omit) }}"
    minimum_version: "{{ item['minimum_version'] | default(omit) }}"
    name: "{{ item['name'] }}"
    repository: "{{ item['repository'] | default(omit) }}"
    required_version: "{{ item['required_version'] | default(omit) }}"
    scope: "{{ item['scope'] | default('all_users') }}"
    source_password: "{{ item['source_password'] | default(omit) }}"
    source_username: "{{ item['source_username'] | default(omit) }}"
    state: "{{ item['state'] | default('present') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['name'] }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_psscript
